Subject: Re: [bitcoin-dev] [BIP] Normalized transaction IDs

From: Jorge Timón <[email-masked]>
Date: Thu, 5 Nov 2015 21:25:33 +0100

On Thu, Nov 5, 2015 at 8:36 PM, Luke Dashjr <[email-masked]> wrote:
> Ok, then my point is that "signature malleability" is not particularly
> problematic or interesting alone, and the only way to get a practically-useful
> solution, is to address all kinds of malleability.

I disagree. Segregated witnesses, for example, doesn't solve all kinds
of malleability and is very useful in some practical cases by solving
all signature malleability.
As said, we don't want to eliminate all forms of malleability (for
example, replace by fee), although we may want to "address them" at
some level.
As you have said, wallets should be looking at scriptPubKeys, not
transaction ID, but that is orthogonal to SW, a normalized tx ID and
signature malleability.